Name:				fuse-funionfs
Version:			0.4.3
Release:			5.1
Summary:			Union Filesystem for FUSE
# http://funionfs.apiou.org/file/funionfs-%{version}.tar.gz
Source:			http://funionfs.apiou.org/file/funionfs-%{version}.tar.bz2
Patch1:         funionfs-fix_missing_return_in_nonvoid_function.patch
URL:				http://funionfs.apiou.org/?lng=en
Group:			System/Filesystems
License:	GPL-2.0
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	fuse-devel
BuildRequires:	gcc make glibc-devel
BuildRequires:	autoconf automake libtool
Requires:		fuse >= 2.5.0

%description
Funionfs is a filesystem which concatenate two or more directories. These
directories are hierarchised by Funionfs. Typically, you could use a mounted
filesystem wich is in read-only where you only read files and an upper
filesystem (empty at the start of the system) where you write modifications.

Funionfs is very useful for embedded linux (the system must resist powerfail)
and for live-cd Linux.

%prep
%setup -q -n "funionfs-%{version}"
%patch1

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO
%{_bindir}/funionfs
%doc %{_mandir}/man1/funionfs.1*

%changelog
